Subject: Re: [PATCH 6/6] netns: configurable number of initial network namespaces

From: Patrick McHardy <[email-masked]>
Date: Tue, 28 Oct 2008 19:21:54 +0100

Vivien Chappelier wrote:
>    Yes; the linux-vrf patches had a new netlink message to create/remove 
> the equivalent of a network namespace (ip vrf add 1). I've not ported 
> this feature yet, so this patch is meant to provide another way of 
> setting up networking stacks without the need for a new process for each 
> stack. The ability to dynamically create/remove networking stacks from 
> userspace would definitely be useful.

I see, I didn't realize the process that created a namespace
needs to be kept running. So yes, creating standalone network
namespaces seems to make sense.

>    There are also some very minor advantages in creating the namespaces 
> statically at boot time, such as increasing the chances that the 
> allocation works (though network namespaces are quite small), and 
> improving boot time by avoiding a few calls to /sbin/ip on startup. 
> Since we are running on embedded devices, that is something that matter 
> to us, but it may not be enough to justify the need for this feature. 
> Anyway, I do not think it hurts to have the ability to create static 
> networking stacks at boot time.

I don't have an opinion on this. Thanks for the explanation.